> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ostium.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v1/prices

> Fetch the current Ostium live price snapshot directly from the Builder API.

```bash theme={null}
curl https://builder.prod.bedrock.ostium.io/v1/prices
```

The response includes:

* `feed_id`
* `pair`
* `from`
* `to`
* `bid`
* `mid`
* `ask`
* `isMarketOpen`
* `isDayTradingClosed`
* `secondsToToggleIsDayTradingClosed`
* `timestampSeconds`
* `schedule`

SDK equivalent:

```ts theme={null}
const { prices } = await client.getAllPrices();
```

## Response schema

```ts theme={null}
interface PairSchedule {
  id: number;
  alwaysOpen?: boolean;
  timezone?: string;
  openingHours?: string[];
}

interface Response {
  prices: Array<{
    feed_id: string;
    pair: string;
    from: string;
    to: string;
    bid: number;
    mid: number;
    ask: number;
    isMarketOpen: boolean;
    isDayTradingClosed: boolean;
    secondsToToggleIsDayTradingClosed: number;
    timestampSeconds: number;
    schedule?: PairSchedule;
  }>;
  stale: boolean;
  generatedAt: number;
}
```
